summaryrefslogtreecommitdiffstats
path: root/desktop/xmonad
diff options
context:
space:
mode:
author Mikko Varri <vmj@linuxbox.fi>2010-05-13 00:24:01 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:24:01 +0200
commitc076b3337b2b183117904ae34c51f39547b92577 (patch)
treecad4d6317dddf1a9da5d57b4a61b49b3780d5933 /desktop/xmonad
parent9ef8cc5b1828f466d00ab7a6f4895e9ed665ddf0 (diff)
downloadslackbuilds-c076b3337b2b183117904ae34c51f39547b92577.tar.gz
slackbuilds-c076b3337b2b183117904ae34c51f39547b92577.tar.xz
desktop/xmonad: Updated for version 0.9.1
Diffstat (limited to 'desktop/xmonad')
-rw-r--r--desktop/xmonad/README10
-rw-r--r--desktop/xmonad/slack-desc2
-rw-r--r--desktop/xmonad/xinitrc.xmonad4
-rw-r--r--desktop/xmonad/xmonad.SlackBuild52
-rw-r--r--desktop/xmonad/xmonad.info8
5 files changed, 50 insertions, 26 deletions
diff --git a/desktop/xmonad/README b/desktop/xmonad/README
index 0cf8620f06..70f07cbf2d 100644
--- a/desktop/xmonad/README
+++ b/desktop/xmonad/README
@@ -1,17 +1,17 @@
-xmonad (stable, featureful and easy tiling window manager for X11)
+xmonad (stable, featureful, and easy tiling window manager for X11)
xmonad is a dynamically tiling X11 window manager that is written
and configured in Haskell. In a normal WM, you spend half your time
aligning and searching for windows. xmonad makes work easier, by
automating this.
-This requires ghc and X11-haskell from SlackBuilds.org.
+This requires ghc, haskell-mtl and haskell-X11.
After installing, use 'xwmconfig' command to reselect xmonad as window
-manager, either as root to do system wide selection or as normal user
-to do user specific selection.
+manager, either as root to do system-wide selection or as normal user
+to do user-specific selection.
To get you started, the most basic key bindings are:
mod-shift-return Launch xterm
mod-shift-q Quit xmonad
-For a Guided Tour: http://www.xmonad.org/tour.html
+For a guided tour, see http://www.xmonad.org/tour.html
diff --git a/desktop/xmonad/slack-desc b/desktop/xmonad/slack-desc
index 363bf3985f..fad4ca4368 100644
--- a/desktop/xmonad/slack-desc
+++ b/desktop/xmonad/slack-desc
@@ -6,7 +6,7 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-xmonad: xmonad (stable, featureful and easy tiling window manager for X11)
+xmonad: xmonad (stable, featureful, and easy tiling window manager for X11)
xmonad:
xmonad: xmonad is a dynamically tiling X11 window manager that is written
xmonad: and configured in Haskell. In a normal WM, you spend half your time
diff --git a/desktop/xmonad/xinitrc.xmonad b/desktop/xmonad/xinitrc.xmonad
index 2554d0d574..cbdcb31433 100644
--- a/desktop/xmonad/xinitrc.xmonad
+++ b/desktop/xmonad/xinitrc.xmonad
@@ -2,8 +2,8 @@
userresources=$HOME/.Xresources
usermodmap=$HOME/.Xmodmap
-sysresources=/usr/lib/X11/xinit/.Xresources
-sysmodmap=/usr/lib/X11/xinit/.Xmodmap
+sysresources=/etc/X11/xinit/.Xresources
+sysmodmap=/etc/X11/xinit/.Xmodmap
# Merge in defaults and keymaps
[ -f $sysresources ] && /usr/bin/xrdb -merge $sysresources
diff --git a/desktop/xmonad/xmonad.SlackBuild b/desktop/xmonad/xmonad.SlackBuild
index de14e35b3e..6d81523689 100644
--- a/desktop/xmonad/xmonad.SlackBuild
+++ b/desktop/xmonad/xmonad.SlackBuild
@@ -6,7 +6,7 @@
# Public domain.
PRGNAM=xmonad
-VERSION=${VERSION:-0.8.1}
+VERSION=${VERSION:-0.9.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -18,10 +18,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -41,22 +44,47 @@ find . \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-runhaskell Setup.lhs configure \
+runghc Setup.lhs configure \
--prefix=/usr \
- --docdir=/usr/doc/$PRGNAM-$VERSION
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared \
+ --flags="-threaded -dynamic"
-runhaskell Setup.lhs build
-runhaskell Setup.lhs copy --destdir=$PKG
-runhaskell Setup.lhs register --gen-script
+runghc Setup.lhs build
+runghc Setup.lhs haddock
+runghc Setup.lhs copy --destdir=$PKG
+runghc Setup.lhs register --gen-script
+
+# Move the example config file
+mv $PKG/usr/share/$PRGNAM-$VERSION/man $PKG/usr/doc/$PRGNAM-$VERSION/man
+rmdir $PKG/usr/share/$PRGNAM-$VERSION
+rmdir $PKG/usr/share
+
+# Copy the man page
+mkdir -p $PKG/usr/man/man1
+cp man/xmonad.1 $PKG/usr/man/man1/xmonad.1
+chmod 644 $PKG/usr/man/man1/xmonad.1
+chown root.root $PKG/usr/man/man1/xmonad.1
+
+# Add X startup script
+mkdir -p $PKG/etc/X11/xinit
+cat $CWD/xinitrc.xmonad > $PKG/etc/X11/xinit/xinitrc.xmonad
+chmod 0755 $PKG/etc/X11/xinit/xinitrc.xmonad
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
-cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+cp -a CONFIG README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -64,11 +92,5 @@ cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
mv register.sh $PKG/install/register.sh
-# Add X startup script
-mkdir -p $PKG/etc/X11/xinit
-cat $CWD/xinitrc.xmonad > $PKG/etc/X11/xinit/xinitrc.xmonad
-chmod 0755 $PKG/etc/X11/xinit/xinitrc.xmonad
-
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
-
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xmonad/xmonad.info b/desktop/xmonad/xmonad.info
index 10af52646e..e33cb849a0 100644
--- a/desktop/xmonad/xmonad.info
+++ b/desktop/xmonad/xmonad.info
@@ -1,8 +1,10 @@
PRGNAM="xmonad"
-VERSION="0.8.1"
+VERSION="0.9.1"
HOMEPAGE="http://xmonad.org/"
-DOWNLOAD="http://hackage.haskell.org/packages/archive/xmonad/0.8.1/xmonad-0.8.1.tar.gz"
-MD5SUM="03a8f0a420902d9eea3df1d8d62598c7"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/xmonad/0.9.1/xmonad-0.9.1.tar.gz"
+MD5SUM="3d0dd5cf77768b10e1b7f3a47e32b09e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Mikko Varri"
EMAIL="vmj@linuxbox.fi"
APPROVED="rworkman"